config:
  system:
    k8s_distribution: kubernetes
    validate_certs: true
    hide_secrets_from_log: true
  bitwarden_rs:
    namespace: "{{ platform.prefix }}-bitwarden-rs"
    fqdn: bitwarden-rs.{{ platform.domain }}
    database_type: sqlite # sqlite, mysql, postgresql; for mysql/postgresql a DB must already be available
    allow_signups: false
    verify_signup: false # to enable: also enable smtp
    allow_invitation: false
    admin_portal: true
    smtp:
      enabled: false
      # Used for email verification. If enabled, also fill in below values. See chart for documentation.
      host: ""
      from: ""
      from_name: ""
      ssl: true
      port: 587
      user: ""
      password: ""
      existing_secret: ""
    log_level: info
    ingress:
      enabled: true
      annotations:
        kubernetes.io/ingress.class: nginx
        kubernetes.io/tls-acme: "true"
      tls_secret: bitwarden-rs-tls
    persistence:
      enabled: true
      size: 1Gi
      storage_class: "standard"
      existing_claim: ""

charts:
  bitwarden_rs:
    name: bitwardenrs
    version: 0.5.1
    owner: gissilabs
    repo: https://gissilabs.github.io/charts/
